Loading...
Searching...
No Matches
curved_ball_q< T >

## Detailed Description

template<class T>
class rheolef::curved_ball_q< T >

Definition at line 55 of file geo_element_curved_ball.h.

## Public Member Functions

| curved_ball_q (const point_basic< T > &a0, const point_basic< T > &b0, const point_basic< T > &c0, const point_basic< T > &d0, const point_basic< T > &center0=point_basic< T >(0, 0), const T &radius0=1)
point_basic< T > | operator() (const point_basic< T > &hat_x) const

## Protected Member Functions

point_basic< T > | f_ab (const T &s) const
point_basic< T > | f_bc (const T &s) const
point_basic< T > | f_dc (const T &s) const
point_basic< T > | f_ad (const T &s) const
point_basic< T > | f_small_carre (const T &x, const T &y) const

## Protected Attributes

point_basic< T > | a
point_basic< T > | b
point_basic< T > | c
point_basic< T > | d
point_basic< T > | center
T | radius

## Constructor & Destructor Documentation

## curved_ball_q()

template<class T >

curved_ball_q | ( | const point_basic< T > & | a0,
|  | const point_basic< T > & | b0,
|  | const point_basic< T > & | c0,
|  | const point_basic< T > & | d0,
|  | const point_basic< T > & | center0 = `point_basic<T>(0,0)`,
|  | const T & | radius0 = `1`
| ) |  |

Definition at line 58 of file geo_element_curved_ball.h.

## Member Function Documentation

## operator()()

template<class T >

point_basic< T > operator() | ( | const point_basic< T > & | hat_x | ) | const

Definition at line 62 of file geo_element_curved_ball.h.

## f_ab()

template<class T >

point_basic< T > f_ab | ( | const T & | s | ) | const

protected

Definition at line 70 of file geo_element_curved_ball.h.

## f_bc()

template<class T >

point_basic< T > f_bc | ( | const T & | s | ) | const

protected

Definition at line 74 of file geo_element_curved_ball.h.

## f_dc()

template<class T >

point_basic< T > f_dc | ( | const T & | s | ) | const

protected

Definition at line 75 of file geo_element_curved_ball.h.

## f_ad()

template<class T >

point_basic< T > f_ad | ( | const T & | s | ) | const

protected

Definition at line 76 of file geo_element_curved_ball.h.

## f_small_carre()

template<class T >

point_basic< T > f_small_carre | ( | const T & | x,
|  | const T & | y
| ) |  | const

protected

Definition at line 92 of file geo_element_curved_ball.h.

## Member Data Documentation

## a

template<class T >

point_basic<T> a

protected

Definition at line 104 of file geo_element_curved_ball.h.

## b

template<class T >

point_basic<T> b

protected

Definition at line 104 of file geo_element_curved_ball.h.

## c

template<class T >

point_basic<T> c

protected

Definition at line 104 of file geo_element_curved_ball.h.

## d

template<class T >

point_basic<T> d

protected

Definition at line 104 of file geo_element_curved_ball.h.

## center

template<class T >

point_basic<T> center

protected

Definition at line 104 of file geo_element_curved_ball.h.

## radius

template<class T >

T radius

protected

Definition at line 105 of file geo_element_curved_ball.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_element_curved_ball.h